duplicity's lftp support broken - exits with error_code -11 on Bionic

Bug #1902832 reported by Carsten Schmitz on 2020-11-04
28
This bug affects 5 people
Affects Status Importance Assigned to Milestone
glibc (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Unassigned
Focal
Undecided
Unassigned
lftp (Ubuntu)
Undecided
Unassigned
Bionic
High
Balint Reczey
Focal
Undecided
Unassigned

Bug Description

[Impact]

 * Lftp crashes on exit after transferring files. This affects duplicity that uses lftp as a backend.

[Test Case]
 * Run:

 valgrind lftp -e 'get gnu/glibc/nss_db-2.2.tar.gz;exit' ftp.gnu.org

 * The fixed package should not perform an invalid read.

[Where problems could occur]

 * The change affects how the program cleans up internal structures thus it could crash in different ways due to regressions introduced by the fix.

[Original Bug Text]

We are using duplicity 0.7.17 and Ubuntu 18.04 LTS.

After upgrading these packages in Ubuntu:

Upgrade: libc-bin:amd64 (2.27-3ubuntu1.2, 2.27-3ubuntu1.3)
Upgrade: locales:amd64 (2.27-3ubuntu1.2, 2.27-3ubuntu1.3)
Upgrade: multiarch-support:amd64 (2.27-3ubuntu1.2, 2.27-3ubuntu1.3)
Upgrade: libc6-dev:amd64 (2.27-3ubuntu1.2, 2.27-3ubuntu1.3),
Upgrade: libc6:amd64 (2.27-3ubuntu1.2, 2.27-3ubuntu1.3)
Upgrade: libc-dev-bin:amd64 (2.27-3ubuntu1.2, 2.27-3ubuntu1.3)

the duplicity/lftp support stopped working. It worked for years just fine before that.

Basic error message is:

Giving up after 5 attempts. BackendException: Error running 'lftp -c "source /tmp/duplicity-gVCsqa-tempdir/mkstemp-serY3Q-1; ( cd etc_backup/ && ls ) || ( mkdir -p etc_backup/ && cd etc_backup/ && ls )"': returned -11, with output:

Error/debug output:

Using archive dir: /root/.duplicity/etc_daily
Using backup name: etc_daily
GPG binary is gpg, version 2.2.4
Import of duplicity.backends.acdclibackend Succeeded
Import of duplicity.backends.azurebackend Succeeded
Import of duplicity.backends.b2backend Succeeded
Import of duplicity.backends.botobackend Succeeded
Import of duplicity.backends.cfbackend Succeeded
Import of duplicity.backends.dpbxbackend Failed: No module named dropbox
Import of duplicity.backends.gdocsbackend Succeeded
Import of duplicity.backends.giobackend Succeeded
Import of duplicity.backends.hsibackend Succeeded
Import of duplicity.backends.hubicbackend Succeeded
Import of duplicity.backends.imapbackend Succeeded
Import of duplicity.backends.lftpbackend Succeeded
Import of duplicity.backends.localbackend Succeeded
Import of duplicity.backends.mediafirebackend Succeeded
Import of duplicity.backends.megabackend Succeeded
Import of duplicity.backends.multibackend Succeeded
Import of duplicity.backends.ncftpbackend Succeeded
Import of duplicity.backends.onedrivebackend Succeeded
Import of duplicity.backends.par2backend Succeeded
Import of duplicity.backends.pydrivebackend Succeeded
Import of duplicity.backends.rsyncbackend Succeeded
Import of duplicity.backends.ssh_paramiko_backend Succeeded
Import of duplicity.backends.ssh_pexpect_backend Succeeded
Import of duplicity.backends.swiftbackend Succeeded
Import of duplicity.backends.sxbackend Succeeded
Import of duplicity.backends.tahoebackend Succeeded
Import of duplicity.backends.webdavbackend Succeeded
LFTP version is 4.8.1
Using temporary directory /tmp/duplicity-_Mgype-tempdir
Registering (mkstemp) temporary file /tmp/duplicity-_Mgype-tempdir/mkstemp-55iPLR-1
SETTINGS:
set ssl:verify-certificate true
set ftp:ssl-allow false
set http:use-propfind true
set net:timeout 30
set net:max-retries 5
set ftp:passive-mode on
debug
open -u '<username_removed>,<password_removed>' ftp://hostname.your-storagebox.de

Main action: remove-all-but-n-full
Acquiring lockfile /root/.duplicity/etc_daily/lockfile
================================================================================
duplicity 0.7.17 (February 26, 2018)
Args: /usr/bin/duplicity remove-all-but-n-full 7 -v9 --archive-dir=/root/.duplicity --force --name etc_daily --no-encryption ftp://<username_removed>@<hostname_removed>.your-storagebox.de/etc_full
Linux <hostname_removed> 4.15.0-122-generic #124-Ubuntu SMP Thu Oct 15 13:03:05 UTC 2020 x86_64 x86_64
/usr/bin/python2 2.7.17 (default, Sep 30 2020, 13:38:04)
[GCC 7.5.0]
================================================================================
CMD: lftp -c "source /tmp/duplicity-_Mgype-tempdir/mkstemp-55iPLR-1; ( cd etc_full/ && ls ) || ( mkdir -p etc_full/ && cd etc_full/ && ls )"
Reading results of 'lftp -c "source /tmp/duplicity-_Mgype-tempdir/mkstemp-55iPLR-1; ( cd etc_full/ && ls ) || ( mkdir -p etc_full/ && cd etc_full/ && ls )"'
Backtrace of previous error: Traceback (innermost last):
  File "/usr/lib/python2.7/dist-packages/duplicity/backend.py", line 369, in inner_retry
    return fn(self, *args)
  File "/usr/lib/python2.7/dist-packages/duplicity/backend.py", line 578, in list
    return [tobytes(x) for x in self.backend._list()]
  File "/usr/lib/python2.7/dist-packages/duplicity/backends/lftpbackend.py", line 181, in _list
    _, l, e = self.subprocess_popen(commandline)
  File "/usr/lib/python2.7/dist-packages/duplicity/backend.py", line 499, in subprocess_popen
    (logstr, result, stdout + '
' + stderr))
 BackendException: Error running 'lftp -c "source /tmp/duplicity-_Mgype-tempdir/mkstemp-55iPLR-1; ( cd etc_full/ && ls ) || ( mkdir -p etc_full/ && cd etc_full/ && ls )"': returned -11, with output:
-rw-r--r-- 1 u234538-sub2 u234538 885032 Oct 28 00:00 duplicity-full-signatures.20201028T000001Z.sigtar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 885113 Oct 29 00:00 duplicity-full-signatures.20201029T000001Z.sigtar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 886172 Oct 30 00:00 duplicity-full-signatures.20201030T000001Z.sigtar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 886175 Oct 31 00:00 duplicity-full-signatures.20201031T000002Z.sigtar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 886163 Nov 1 00:00 duplicity-full-signatures.20201101T000001Z.sigtar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 886173 Nov 2 00:00 duplicity-full-signatures.20201102T000001Z.sigtar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 886625 Nov 3 00:00 duplicity-full-signatures.20201103T000002Z.sigtar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 481 Oct 28 00:00 duplicity-full.20201028T000001Z.manifest.gpg
-rw-r--r-- 1 u234538-sub2 u234538 64187446 Oct 28 00:00 duplicity-full.20201028T000001Z.vol1.difftar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 480 Oct 29 00:00 duplicity-full.20201029T000001Z.manifest.gpg
-rw-r--r-- 1 u234538-sub2 u234538 64189301 Oct 29 00:00 duplicity-full.20201029T000001Z.vol1.difftar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 480 Oct 30 00:00 duplicity-full.20201030T000001Z.manifest.gpg
-rw-r--r-- 1 u234538-sub2 u234538 64198883 Oct 30 00:00 duplicity-full.20201030T000001Z.vol1.difftar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 479 Oct 31 00:00 duplicity-full.20201031T000002Z.manifest.gpg
-rw-r--r-- 1 u234538-sub2 u234538 64198893 Oct 31 00:00 duplicity-full.20201031T000002Z.vol1.difftar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 482 Nov 1 00:00 duplicity-full.20201101T000001Z.manifest.gpg
-rw-r--r-- 1 u234538-sub2 u234538 64198890 Nov 1 00:00 duplicity-full.20201101T000001Z.vol1.difftar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 479 Nov 2 00:00 duplicity-full.20201102T000001Z.manifest.gpg
-rw-r--r-- 1 u234538-sub2 u234538 64198894 Nov 2 00:00 duplicity-full.20201102T000001Z.vol1.difftar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 481 Nov 3 00:00 duplicity-full.20201103T000002Z.manifest.gpg
-rw-r--r-- 1 u234538-sub2 u234538 64203538 Nov 3 00:00 duplicity-full.20201103T000002Z.vol1.difftar.gpg

---- Resolving host address...
---- 2 addresses found: 202:4f8:b23:3000::16, 146.202.112.16
---- Connecting to <hostname_removed> (202:4f8:b23:3000::16) port 21
<--- 220 ProFTPD Server (Backup) [202:4f8:b23:3000::16]
---> FEAT
<--- 211-Features:
<--- AUTH TLS
<--- CCC
<--- CLNT
<--- EPRT
<--- EPSV
<--- HOST
<--- LANG ko-KR.UTF-8;ko-KR;es-ES.UTF-8;es-ES;bg-BG.UTF-8;bg-BG;it-IT.UTF-8;it-IT;zh-CN.UTF-8;zh-CN;ja-JP.UTF-8;ja-JP;zh-TW.UTF-8;zh-TW;ru-RU.UTF-8;ru-RU;fr-FR.UTF-8;fr-FR;en-US.UTF-8;en-US*
<--- MDTM
<--- MFF modify;UNIX.group;UNIX.mode;
<--- MFMT
<--- MLST modify*;perm*;size*;type*;unique*;UNIX.group*;UNIX.groupname*;UNIX.mode*;UNIX.owner*;UNIX.ownername*;
<--- PBSZ
<--- PROT
<--- REST STREAM
<--- SIZE
<--- SSCN
<--- TVFS
<--- UTF8
<--- 211 End
---> CLNT lftp/4.8.1
<--- 200 OK
---> LANG
<--- 200 Using default language en_US
---> OPTS UTF8 ON
<--- 200 UTF8 set to on
---> HOST <hostname_removed>
<--- 504 <hostname_removed>: Unknown hostname provided
---> OPTS MLST modify;perm;size;type;UNIX.group;UNIX.mode;UNIX.owner
<--- 200 MLST OPTS modify;perm;size;type;UNIX.group;UNIX.mode;
---> USER <username_removed>
<--- 331 Password required for <username_removed>
---> PASS <password_removed>
<--- 230 User <username_removed> logged in
---> PWD
<--- 257 "/" is the current directory
---- CWD path to be sent is `/etc_full'
---> CWD /etc_full
<--- 250 CWD command successful
---> EPSV
<--- 229 Entering Extended Passive Mode (|||54612|)
---- Connecting data socket to (202:4f8:b23:3000::16) port 54612
---- Data connection established
---> LIST
<--- 150 Opening ASCII mode data connection for file list
---- Got EOF on data connection
---- Closing data socket
<--- 226 Transfer complete
---> QUIT
<--- 221 Goodbye.
---- Closing control socket

Attempt 1 failed. BackendException: Error running 'lftp -c "source /tmp/duplicity-_Mgype-tempdir/mkstemp-55iPLR-1; ( cd etc_full/ && ls ) || ( mkdir -p etc_full/ && cd etc_full/ && ls )"': returned -11, with output:
-rw-r--r-- 1 u234538-sub2 u234538 885032 Oct 28 00:00 duplicity-full-signatures.20201028T000001Z.sigtar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 885113 Oct 29 00:00 duplicity-full-signatures.20201029T000001Z.sigtar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 886172 Oct 30 00:00 duplicity-full-signatures.20201030T000001Z.sigtar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 886175 Oct 31 00:00 duplicity-full-signatures.20201031T000002Z.sigtar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 886163 Nov 1 00:00 duplicity-full-signatures.20201101T000001Z.sigtar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 886173 Nov 2 00:00 duplicity-full-signatures.20201102T000001Z.sigtar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 886625 Nov 3 00:00 duplicity-full-signatures.20201103T000002Z.sigtar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 481 Oct 28 00:00 duplicity-full.20201028T000001Z.manifest.gpg
-rw-r--r-- 1 u234538-sub2 u234538 64187446 Oct 28 00:00 duplicity-full.20201028T000001Z.vol1.difftar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 480 Oct 29 00:00 duplicity-full.20201029T000001Z.manifest.gpg
-rw-r--r-- 1 u234538-sub2 u234538 64189301 Oct 29 00:00 duplicity-full.20201029T000001Z.vol1.difftar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 480 Oct 30 00:00 duplicity-full.20201030T000001Z.manifest.gpg
-rw-r--r-- 1 u234538-sub2 u234538 64198883 Oct 30 00:00 duplicity-full.20201030T000001Z.vol1.difftar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 479 Oct 31 00:00 duplicity-full.20201031T000002Z.manifest.gpg
-rw-r--r-- 1 u234538-sub2 u234538 64198893 Oct 31 00:00 duplicity-full.20201031T000002Z.vol1.difftar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 482 Nov 1 00:00 duplicity-full.20201101T000001Z.manifest.gpg
-rw-r--r-- 1 u234538-sub2 u234538 64198890 Nov 1 00:00 duplicity-full.20201101T000001Z.vol1.difftar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 479 Nov 2 00:00 duplicity-full.20201102T000001Z.manifest.gpg
-rw-r--r-- 1 u234538-sub2 u234538 64198894 Nov 2 00:00 duplicity-full.20201102T000001Z.vol1.difftar.gpg
-rw-r--r-- 1 u234538-sub2 u234538 481 Nov 3 00:00 duplicity-full.20201103T000002Z.manifest.gpg
-rw-r--r-- 1 u234538-sub2 u234538 64203538 Nov 3 00:00 duplicity-full.20201103T000002Z.vol1.difftar.gpg

Using

Duplicity 0.7.17
Python 2.7.17
Ubuntu 18.04 LTS.

affects: duplicity → duplicity (Ubuntu)
Sebastien Bacher (seb128) wrote :

Thank you for your bug report. Are you sure it has with the glibc update? Could you maybe try to downgrade back those packages to see it if resolves the issue?

Carsten Schmitz (cschmitz) wrote :

Yes, I am sure. I tested it on another server that did not do the updates yet.

It must have been one of these packages because we do daily backups and these were the only ones that were updated between the successful and failed run.

I tried downgrading but apt is not very smart and would remove too many packages, and these are live systems so I did not dare to do it.

Please note that switching to ncftp was successful as a workaround, so it something that only affects lftp.

Sebastien Bacher (seb128) wrote :

Thanks for the comment, I'm tagging as regression-update and notified the glibc SRU uploader.

To downgrade glibc the easier way would be to go on https://launchpad.net/ubuntu/+source/glibc/2.27-3ubuntu1.2 and download the deb files you mentioned at the start of the description in a new directory and 'dpkg -i *.deb' those, it would still be useful to confirm that it indeed fixes the issue

could you maybe describe how to set up an environment to be able to test the issue (server, command line and arguments, etc)?

tags: added: regression-update
Balint Reczey (rbalint) on 2020-11-04
summary: - lftp support broken - exits with error_code -11
+ lftp support broken - exits with error_code -11 on Bionic

Hi,

this hit me as well on multiple bionic installs, downgraded via APT pinning the old version as it's still in bionic-security

# cat <<EOF > /etc/apt/preferences.d/20201104-force-libc6-version-to-unbreak-duplicity
Package: libc6 libc-bin multiarch-support locales libc6-dev libc-dev-bin
Pin: version 2.27-3ubuntu1.2
Pin-Priority: 2000

EOF

and running apt dist-upgrade. After the downgrade, lftp worked again.

Cheers
Wolfgang

Hi,

attached a strace file of the lftp call when run with version 2.27-3ubuntu1.3:

# strace -f -o /tmp/lftp.strace lftp -c "source /scratch/duplicity-temp/duplicity-RHpHVx-tempdir/mkstemp-jC4mJb-1; ( cd some-stage.example.org/ && ls ) || ( mkdir -p some-stage.example.org/ && cd some-stage.example.org/ && ls )"

dmesg shows:

[42084.466069] traps: lftp[8067] general protection ip:55792fb3a4b0 sp:7ffd77402a08 error:0 in lftp[55792fa2a000+14e000]

When version 2.27-3ubuntu1.2 is installed (e.g. after the downgrade) it's best to replace the above pinning file in #4 with

# cat <<EOF /etc/apt/preferences.d/20201104-skip-libc6-version-that-breaks-duplicity
Package: libc6:amd64 libc-bin multiarch-support locales libc6-dev libc-dev-bin
Pin: version 2.27-3ubuntu1.3
Pin-Priority: -1

EOF

to avoid missing future updates.

Cheers
Wolfgang

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in duplicity (Ubuntu Bionic):
status: New → Confirmed
Changed in duplicity (Ubuntu):
status: New → Confirmed
Changed in glibc (Ubuntu Bionic):
status: New → Confirmed
Changed in glibc (Ubuntu):
status: New → Confirmed
Balint Reczey (rbalint) wrote :
Download full text (5.6 KiB)

Simpler reproducer:

 valgrind lftp -e 'get gnu/glibc/nss_db-2.2.tar.gz;exit' ftp.gnu.org
==9023== Memcheck, a memory error detector
==9023== Copyright (C) 2002-2017, and GNU GPL'd, by Julian Seward et al.
==9023== Using Valgrind-3.13.0 and LibVEX; rerun with -h for copyright info
==9023== Command: lftp -e get\ gnu/glibc/nss_db-2.2.tar.gz;exit ftp.gnu.org
==9023==
==9024== .gnu.org' [Resolving host address...]
==9024== HEAP SUMMARY:
==9024== in use at exit: 209,311 bytes in 1,703 blocks
==9024== total heap usage: 4,136 allocs, 2,433 frees, 579,083 bytes allocated
==9024==
==9024== LEAK SUMMARY:
==9024== definitely lost: 0 bytes in 0 blocks
==9024== indirectly lost: 0 bytes in 0 blocks
==9024== possibly lost: 3,109 bytes in 41 blocks
==9024== still reachable: 206,202 bytes in 1,662 blocks
==9024== suppressed: 0 bytes in 0 blocks
==9024== Rerun with --leak-check=full to see details of leaked memory
==9024==
==9024== For counts of detected and suppressed errors, rerun with: -v
==9024== ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 0 from 0)
get: gnu/glibc/nss_db-2.2.tar.gz: /home/ubuntu/nss_db-2.2.tar.gz: file already exists and xfer:clobber is unset
==9023== Invalid read of size 4
==9023== at 0x2184B0: AddXfer (RateLimit.cc:30)
==9023== by 0x2184B0: RateLimit::~RateLimit() (RateLimit.cc:63)
==9023== by 0x218B18: dispose (xmap.h:107)
==9023== by 0x218B18: xmap_p<RateLimit>::~xmap_p() (xmap.h:112)
==9023== by 0x6224160: __run_exit_handlers (exit.c:108)
==9023== by 0x6224259: exit (exit.c:139)
==9023== by 0x6202BFD: (below main) (libc-start.c:344)
==9023== Address 0x8072550 is 16 bytes inside a block of size 88 free'd
==9023== at 0x4C3323B: operator delete(void*) (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
==9023== by 0x218B25: dispose (xmap.h:107)
==9023== by 0x218B25: xmap_p<RateLimit>::~xmap_p() (xmap.h:112)
==9023== by 0x6224160: __run_exit_handlers (exit.c:108)
==9023== by 0x6224259: exit (exit.c:139)
==9023== by 0x6202BFD: (below main) (libc-start.c:344)
==9023== Block was alloc'd at
==9023== at 0x4C3217F: operator new(unsigned long) (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
==9023== by 0x218A09: RateLimit::init(RateLimit::level_e, char const*) (RateLimit.cc:55)
==9023== by 0x218A2C: RateLimit (RateLimit.h:52)
==9023== by 0x218A2C: RateLimit::init(RateLimit::level_e, char const*) (RateLimit.cc:55)
==9023== by 0x1ED1E2: Ftp::Do() (ftpclass.cc:2337)
==9023== by 0x1A97C4: SMTask::ScheduleThis() (SMTask.cc:209)
==9023== by 0x1A99D0: SMTask::Schedule() (SMTask.cc:248)
==9023== by 0x16614C: Job::WaitDone() (Job.cc:557)
==9023== by 0x15CBE3: main (lftp.cc:590)
==9023==
==9023== Invalid read of size 8
==9023== at 0x2184B5: AddXfer (RateLimit.cc:31)
==9023== by 0x2184B5: RateLimit::~RateLimit() (RateLimit.cc:63)
==9023== by 0x218B18: dispose (xmap.h:107)
==9023== by 0x218B18: xmap_p<RateLimit>::~xmap_p() (xmap.h:112)
==9023== by 0x6224160: __run_exit_handlers (exit.c:108)
==9023== by 0x6224259: exit (exit.c:139)
==9023== by 0x6202BFD: (below main) (libc-start.c:344)
==9023== Address 0x8072548 is...

Read more...

Changed in glibc (Ubuntu):
status: Confirmed → Invalid
Changed in glibc (Ubuntu Bionic):
status: Confirmed → Invalid
affects: duplicity (Ubuntu) → lftp (Ubuntu)
Balint Reczey (rbalint) wrote :

The memory handling error can be observed with valgrind with the older libc6 package, too, it just does not crash lftp presumably due to a 'luckier' memory allocation layout.

Balint Reczey (rbalint) on 2020-11-05
summary: - lftp support broken - exits with error_code -11 on Bionic
+ duplicity's lftp support broken - exits with error_code -11 on Bionic
Changed in lftp (Ubuntu Focal):
status: New → Fix Released
Changed in lftp (Ubuntu):
status: Confirmed → Fix Released
Balint Reczey (rbalint) wrote :

I have prepared at potential fix in https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/4326 .
Could you please verify that it indeed fixes the case with duplicity? (You may have encountered a different crash than what I've found.)

Changed in glibc (Ubuntu Focal):
status: New → Invalid
Changed in lftp (Ubuntu Bionic):
status: Confirmed → Incomplete
importance: Undecided → High
assignee: nobody → Balint Reczey (rbalint)

I can confirm that using

https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/4326/+files/lftp_4.8.1-1ubuntu0.2~rbalint1_amd64.deb

in combination with the glibc package version 2.27-3ubuntu1.3 allowed me to run a successful duplicity backup as well as checking the current status on the FTP space in use, both of which use lftp.

Cheers
Wolfgang

Balint Reczey (rbalint) on 2020-11-06
description: updated
Balint Reczey (rbalint) wrote :

Thank you, I've uploaded the fix. It is now waiting for being accepted to bionic-proposed.

Changed in lftp (Ubuntu Bionic):
status: Incomplete → In Progress

Hello Carsten, or anyone else affected,

Accepted lftp into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/lftp/4.8.1-1ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in lftp (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-bionic

Hi,

I can confirm using the version in bionic-proposed (4.8.1-1ubuntu0.2) of lftp in combination with the glibc package version 2.27-3ubuntu1.3 allowed me to run a successful duplicity backup as well as checking the current status on the FTP space in use, both of which use lftp.

Cheers
Wolfgang

tags: added: verification-done-bionic
removed: verification-needed-bionic
Matthias Homann (palto) wrote :

I faced this issue, which first triggered another bug #1770929 UnicodeDecodeError so that I didn't see the root cause from this lftp bug directly.

With the lftp (4.8.1-1ubuntu0.2) from bionic-proposed the duplicity backup now works again, thanks for the quick fix!

ali (uocxp) wrote :

any information when the package will be released to -updates

The verification of the Stable Release Update for lftp has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lftp - 4.8.1-1ubuntu0.2

---------------
lftp (4.8.1-1ubuntu0.2) bionic; urgency=medium

  * Fix crash on exit observed with libc6 2.27-3ubuntu1.3 (LP: #1902832)

 -- Balint Reczey <email address hidden> Thu, 05 Nov 2020 22:06:49 +0100

Changed in lftp (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments